{ nixpkgs ? import <nixpkgs> { }, pythonPkgs ? nixpkgs.pkgs.python39Packages }:

let
  inherit (nixpkgs) pkgs;
  inherit pythonPkgs;

  selfprivacy-api = { buildPythonPackage, flask, flask-restful, setuptools, portalocker, flask-swagger, flask-swagger-ui, pytz, pytest, pytest-mock, pytest-datadir, huey, gevent }:
    buildPythonPackage rec {
      pname = "selfprivacy-api";
      version = "1.1.0";
      src = builtins.fetchGit {
        url = "https://git.selfprivacy.org/SelfPrivacy/selfprivacy-rest-api.git";
        rev = "0d92be8fb772a4699f96f21a1faec5dc11f3e260";
      };
      propagatedBuildInputs = [ flask flask-restful setuptools portalocker flask-swagger flask-swagger-ui pytz pytest pytest-mock pytest-datadir huey gevent ];
      meta = {
        description = ''
          SelfPrivacy Server Management API
        '';
      };
    };
  drv = pythonPkgs.callPackage selfprivacy-api { };
in
if pkgs.lib.inNixShell then drv.env else drv
